import { Button } from '@mui/material'
import { useDispatch, useSelector } from 'react-redux'
import { logout } from '../Auth/userSlice'
import { RootState } from '../redux/store'

const Home = () => {
    const dispatch = useDispatch()

    const userLoggedIn = useSelector(
        (state: RootState) => state.user.isLoggedIn
    )

    return (
        <>
            <h1>Home</h1>
            {userLoggedIn ? (
                <Button
                    size="large"
                    variant="contained"
                    color="primary"
                    onClick={() => dispatch(logout())}
                >
                    Logout
                </Button>
            ) : null}
        </>
    )
}

export default Home
